Bug 521345 - vlan with sky2 is not possible anymore with kernel-xen 2.6.18-164
Summary: vlan with sky2 is not possible anymore with kernel-xen 2.6.18-164
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.4
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Andy Gospodarek
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks: 533192 525215
TreeView+ depends on / blocked
 
Reported: 2009-09-04 22:25 UTC by Jens Kuehnel
Modified: 2010-03-30 07:04 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 07:04:10 UTC


Attachments (Terms of Use)
resolve-issues-with-vlan-creation-and-filtering.patch (19.07 KB, patch)
2009-10-22 20:28 UTC, Andy Gospodarek
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description Jens Kuehnel 2009-09-04 22:25:43 UTC
Description of problem:
When I configure my vlan the kernel drops this message:
register_vlan_device: Device eth0 has buggy VLAN hw accel.

and vlan is not possible anymore. It works with 2.6.18-128.7.1 and before.

Hardware:
 
02:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8056 PCI-E Gigabit Ethernet Controller (rev 12)
	Subsystem: ASUSTeK Computer Inc. Unknown device 826e
	Flags: bus master, fast devsel, latency 0, IRQ 19
	Memory at fbcfc000 (64-bit, non-prefetchable) [size=16K]
	I/O ports at b800 [size=256]
	Expansion ROM at fbcc0000 [disabled] [size=128K]
	Capabilities: [48] Power Management version 3
	Capabilities: [50] Vital Product Data
	Capabilities: [5c] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
	Capabilities: [e0] Express Legacy Endpoint IRQ 0


Version-Release number of selected component (if applicable):
kernel-xen-2.6.18-164.el5.x86_64

How reproducible:
100% with correct hardware 11ab:4364 (rev 12)

Steps to Reproduce:
1. have a 11ab:4364 (rev 12)
2. modprobe sky2
3. vconfig add eth0 100
  
Actual results:
register_vlan_device: Device eth0 has buggy VLAN hw accel.

ifconfig eth0.100
eth0.100: error fetching interface information: Device not found


Expected results:
eth0.100  Link encap:Ethernet  HWaddr 00:xx:xx:xx:xx:xx  
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1925 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1493 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:150162 (146.6 KiB)  TX bytes:272059 (265.6 KiB)


Additional info:

Comment 2 Jens Kuehnel 2009-09-19 16:52:39 UTC
I tried it with a normal kernel as well. Same thing.

Comment 4 Andy Gospodarek 2009-10-21 20:03:28 UTC
This is a regression as a result of the patch for bug 484712.

This should be a pretty easy fix.

Comment 9 Andy Gospodarek 2009-10-22 20:28:19 UTC
Created attachment 365779 [details]
resolve-issues-with-vlan-creation-and-filtering.patch

This patch seems to be what we want.  I have not tested with sky2, but I suspect it will resolve the issue.

I will update this bugzilla when test kernels are available.

Comment 12 Jens Kuehnel 2009-10-24 06:56:48 UTC
No need, I patch the kernel-2.6.18-164.2.1 myself and can confirm it's working.
Please add this patch to the next official RedHat kernel package.

Thanks for the help

Greeting from Germany
Jens Kühnel

Comment 13 Andy Gospodarek 2009-10-27 14:44:35 UTC
Excellent.  Thank you for the feedback, Jens!

Comment 14 Jens Kuehnel 2009-11-05 10:24:24 UTC
Hi,

why is this patch not included in kernel-2.6.18-164.6.1.el5?
and will it be included in the next update?

Thanks for the Info.

CU
Jens

Comment 15 Andy Gospodarek 2009-11-05 21:24:37 UTC
Jens, sorry this did not make that release.  I can't say for sure when it will get into an official build.  The patch in comment #9 is also quite large and would need more testing before I would be willing to push it out in a stable release.

Bugzilla.redhat.com is a great way to open a bug and contact a developer, but bugs opened here don't always make their way into minor updates (so 2.6.18-164.Z) unless there is some significant customer demand.

Do you (or anyone else) currently have an Issue Tracker ticket open with our support organization for this problem?

Comment 16 Louis Lagendijk 2009-11-13 22:31:49 UTC
Andy, are test kernels available where this patch is included, preferably based on the 6.1 (or later) kernel?

Comment 17 Andy Gospodarek 2009-11-18 17:39:06 UTC
Louis, test kernels are here:

http://people.redhat.com/agospoda/#rhel5

They are based on 2.6.18-174.  Feel free to test them and provide any feedback here.

Comment 18 Louis Lagendijk 2009-11-27 19:16:46 UTC
hello Andy
The 2.6.18-174.el5.gtest.79 solves the VLAN issue for the sky2 driver. i have been running it now for almost a week. Works great. Thanks!

Comment 19 Jens Kuehnel 2009-11-30 20:07:06 UTC
Hi Andy,

kernel 2.6.18-174.el5.gtest.79 works here as well.

Thanks for the help.

Comment 21 Don Zickus 2009-12-09 18:12:00 UTC
in kernel-2.6.18-178.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please update the appropriate value in the Verified field
(cf_verified) to indicate this fix has been successfully
verified. Include a comment with verification details.

Comment 23 Louis Lagendijk 2009-12-21 18:41:58 UTC
I am now running 2.6.18-182.el5 (apologies for the delay, I have been out of the country for a week). This works as expected.
Running on an Asus P6T DELUXE V2 motherboard with Intel(R) Core(TM) i7 CPU 920 @ 2.67GHz.

Comment 24 Andy Gospodarek 2009-12-21 18:49:14 UTC
(In reply to comment #23)
> I am now running 2.6.18-182.el5 (apologies for the delay, I have been out of
> the country for a week). This works as expected.
> Running on an Asus P6T DELUXE V2 motherboard with Intel(R) Core(TM) i7 CPU 920
> @ 2.67GHz.  

Excellent!  Thanks for the feeback, Louis!

Comment 25 Jens Kuehnel 2010-02-15 10:03:50 UTC
Still working in 2.6.18-186 from the RHEL5.5 beta.

Comment 28 errata-xmlrpc 2010-03-30 07:04:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.